Preview: these APIs are still being designed and aren't available yet.
Skip to Content
UpskyDocs

Overview

Host it all, from Next.js to WordPress.

Use Upsky Hosting to create sites and deploy them from your own tools.

Deploy a site

curl https://api.upsky.dev/v1/hosting/sites/site_123/deployments \
  -H "Authorization: Bearer $UPSKY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "source": { "type": "git", "ref": "main" } }'

Deployment status

StatusMeaning
queuedWaiting to start
buildingBuild in progress
readyLive
failedThe build or launch failed

Poll the deployment, or listen for the deployment.ready and deployment.failed webhooks.

On this page